Package org.apache.storm.generated

# Class Nimbus.AsyncClient

java.lang.Object
org.apache.storm.thrift.async.TAsyncClient
org.apache.storm.generated.Nimbus.AsyncClient

All Implemented Interfaces:
  `Nimbus.AsyncIface`

Enclosing class:
  Nimbus

public static class Nimbus.AsyncClient extends org.apache.storm.thrift.async.TAsyncClient implements Nimbus.AsyncIface

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `Nimbus.AsyncClient.activate_call`
  `static class`
  `Nimbus.AsyncClient.beginBlobDownload_call`
  `static class`
  `Nimbus.AsyncClient.beginCreateBlob_call`
  `static class`
  `Nimbus.AsyncClient.beginFileUpload_call`
  `static class`
  `Nimbus.AsyncClient.beginUpdateBlob_call`
  `static class`
  `Nimbus.AsyncClient.cancelBlobUpload_call`
  `static class`
  `Nimbus.AsyncClient.createStateInZookeeper_call`
  `static class`
  `Nimbus.AsyncClient.deactivate_call`
  `static class`
  `Nimbus.AsyncClient.debug_call`
  `static class`
  `Nimbus.AsyncClient.deleteBlob_call`
  `static class`
  `Nimbus.AsyncClient.downloadBlobChunk_call`
  `static class`
  `Nimbus.AsyncClient.downloadChunk_call`
  `static class`
  `Nimbus.AsyncClient.Factory`
  `static class`
  `Nimbus.AsyncClient.finishBlobUpload_call`
  `static class`
  `Nimbus.AsyncClient.finishFileUpload_call`
  `static class`
  `Nimbus.AsyncClient.getBlobMeta_call`
  `static class`
  `Nimbus.AsyncClient.getBlobReplication_call`
  `static class`
  `Nimbus.AsyncClient.getClusterInfo_call`
  `static class`
  `Nimbus.AsyncClient.getComponentPageInfo_call`
  `static class`
  `Nimbus.AsyncClient.getComponentPendingProfileActions_call`
  `static class`
  `Nimbus.AsyncClient.getLeader_call`
  `static class`
  `Nimbus.AsyncClient.getLogConfig_call`
  `static class`
  `Nimbus.AsyncClient.getNimbusConf_call`
  `static class`
  `Nimbus.AsyncClient.getOwnerResourceSummaries_call`
  `static class`
  `Nimbus.AsyncClient.getSupervisorAssignments_call`
  `static class`
  `Nimbus.AsyncClient.getSupervisorPageInfo_call`
  `static class`
  `Nimbus.AsyncClient.getTopology_call`
  `static class`
  `Nimbus.AsyncClient.getTopologyConf_call`
  `static class`
  `Nimbus.AsyncClient.getTopologyHistory_call`
  `static class`
  `Nimbus.AsyncClient.getTopologyInfo_call`
  `static class`
  `Nimbus.AsyncClient.getTopologyInfoByName_call`
  `static class`
  `Nimbus.AsyncClient.getTopologyInfoByNameWithOpts_call`
  `static class`
  `Nimbus.AsyncClient.getTopologyInfoWithOpts_call`
  `static class`
  `Nimbus.AsyncClient.getTopologyPageInfo_call`
  `static class`
  `Nimbus.AsyncClient.getTopologySummaries_call`
  `static class`
  `Nimbus.AsyncClient.getTopologySummary_call`
  `static class`
  `Nimbus.AsyncClient.getTopologySummaryByName_call`
  `static class`
  `Nimbus.AsyncClient.getUserTopology_call`
  `static class`
  `Nimbus.AsyncClient.isRemoteBlobExists_call`
  `static class`
  `Nimbus.AsyncClient.isTopologyNameAllowed_call`
  `static class`
  `Nimbus.AsyncClient.killTopology_call`
  `static class`
  `Nimbus.AsyncClient.killTopologyWithOpts_call`
  `static class`
  `Nimbus.AsyncClient.listBlobs_call`
  `static class`
  `Nimbus.AsyncClient.processWorkerMetrics_call`
  `static class`
  `Nimbus.AsyncClient.rebalance_call`
  `static class`
  `Nimbus.AsyncClient.sendSupervisorWorkerHeartbeat_call`
  `static class`
  `Nimbus.AsyncClient.sendSupervisorWorkerHeartbeats_call`
  `static class`
  `Nimbus.AsyncClient.setBlobMeta_call`
  `static class`
  `Nimbus.AsyncClient.setLogConfig_call`
  `static class`
  `Nimbus.AsyncClient.setWorkerProfiler_call`
  `static class`
  `Nimbus.AsyncClient.submitTopology_call`
  `static class`
  `Nimbus.AsyncClient.submitTopologyWithOpts_call`
  `static class`
  `Nimbus.AsyncClient.updateBlobReplication_call`
  `static class`
  `Nimbus.AsyncClient.uploadBlobChunk_call`
  `static class`
  `Nimbus.AsyncClient.uploadChunk_call`
  `static class`
  `Nimbus.AsyncClient.uploadNewCredentials_call`

- ## Field Summary

  ### Fields inherited from class org.apache.storm.thrift.async.TAsyncClient

  `___currentMethod, ___manager, ___protocolFactory, ___transport`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AsyncClient(org.apache.storm.thrift.protocol.TProtocolFactory protocolFactory, org.apache.storm.thrift.async.TAsyncClientManager clientManager, org.apache.storm.thrift.transport.TNonblockingTransport transport)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `activate(String name, org.apache.storm.thrift.async.AsyncMethodCallback<Void> resultHandler)`
  `void`
  `beginBlobDownload(String key, org.apache.storm.thrift.async.AsyncMethodCallback<BeginDownloadResult> resultHandler)`
  `void`
  `beginCreateBlob(String key, SettableBlobMeta meta, org.apache.storm.thrift.async.AsyncMethodCallback<String> resultHandler)`
  `void`
  `beginFileUpload(org.apache.storm.thrift.async.AsyncMethodCallback<String> resultHandler)`
  `void`
  `beginUpdateBlob(String key, org.apache.storm.thrift.async.AsyncMethodCallback<String> resultHandler)`
  `void`
  `cancelBlobUpload(String session, org.apache.storm.thrift.async.AsyncMethodCallback<Void> resultHandler)`
  `void`
  `createStateInZookeeper(String key, org.apache.storm.thrift.async.AsyncMethodCallback<Void> resultHandler)`
  `void`
  `deactivate(String name, org.apache.storm.thrift.async.AsyncMethodCallback<Void> resultHandler)`
  `void`
  `debug(String name, String component, boolean enable, double samplingPercentage, org.apache.storm.thrift.async.AsyncMethodCallback<Void> resultHandler)`
  `void`
  `deleteBlob(String key, org.apache.storm.thrift.async.AsyncMethodCallback<Void> resultHandler)`
  `void`
  `downloadBlobChunk(String session, org.apache.storm.thrift.async.AsyncMethodCallback<ByteBuffer> resultHandler)`
  `void`
  `downloadChunk(String id, org.apache.storm.thrift.async.AsyncMethodCallback<ByteBuffer> resultHandler)`
  `void`
  `finishBlobUpload(String session, org.apache.storm.thrift.async.AsyncMethodCallback<Void> resultHandler)`
  `void`
  `finishFileUpload(String location, org.apache.storm.thrift.async.AsyncMethodCallback<Void> resultHandler)`
  `void`
  `getBlobMeta(String key, org.apache.storm.thrift.async.AsyncMethodCallback<ReadableBlobMeta> resultHandler)`
  `void`
  `getBlobReplication(String key, org.apache.storm.thrift.async.AsyncMethodCallback<Integer> resultHandler)`
  `void`
  `getClusterInfo(org.apache.storm.thrift.async.AsyncMethodCallback<ClusterSummary> resultHandler)`
  `void`
  `getComponentPageInfo(String topology_id, String component_id, String window, boolean is_include_sys, org.apache.storm.thrift.async.AsyncMethodCallback<ComponentPageInfo> resultHandler)`
  `void`
  `getComponentPendingProfileActions(String id, String component_id, ProfileAction action, org.apache.storm.thrift.async.AsyncMethodCallback<List<ProfileRequest>> resultHandler)`
  `void`
  `getLeader(org.apache.storm.thrift.async.AsyncMethodCallback<NimbusSummary> resultHandler)`
  `void`
  `getLogConfig(String name, org.apache.storm.thrift.async.AsyncMethodCallback<LogConfig> resultHandler)`
  `void`
  `getNimbusConf(org.apache.storm.thrift.async.AsyncMethodCallback<String> resultHandler)`
  `void`
  `getOwnerResourceSummaries(String owner, org.apache.storm.thrift.async.AsyncMethodCallback<List<OwnerResourceSummary>> resultHandler)`
  `void`
  `getSupervisorAssignments(String node, org.apache.storm.thrift.async.AsyncMethodCallback<SupervisorAssignments> resultHandler)`
  `void`
  `getSupervisorPageInfo(String id, String host, boolean is_include_sys, org.apache.storm.thrift.async.AsyncMethodCallback<SupervisorPageInfo> resultHandler)`
  `void`
  `getTopology(String id, org.apache.storm.thrift.async.AsyncMethodCallback<StormTopology> resultHandler)`
  `void`
  `getTopologyConf(String id, org.apache.storm.thrift.async.AsyncMethodCallback<String> resultHandler)`
  `void`
  `getTopologyHistory(String user, org.apache.storm.thrift.async.AsyncMethodCallback<TopologyHistoryInfo> resultHandler)`
  `void`
  `getTopologyInfo(String id, org.apache.storm.thrift.async.AsyncMethodCallback<TopologyInfo> resultHandler)`
  `void`
  `getTopologyInfoByName(String name, org.apache.storm.thrift.async.AsyncMethodCallback<TopologyInfo> resultHandler)`
  `void`
  `getTopologyInfoByNameWithOpts(String name, GetInfoOptions options, org.apache.storm.thrift.async.AsyncMethodCallback<TopologyInfo> resultHandler)`
  `void`
  `getTopologyInfoWithOpts(String id, GetInfoOptions options, org.apache.storm.thrift.async.AsyncMethodCallback<TopologyInfo> resultHandler)`
  `void`
  `getTopologyPageInfo(String id, String window, boolean is_include_sys, org.apache.storm.thrift.async.AsyncMethodCallback<TopologyPageInfo> resultHandler)`
  `void`
  `getTopologySummaries(org.apache.storm.thrift.async.AsyncMethodCallback<List<TopologySummary>> resultHandler)`
  `void`
  `getTopologySummary(String id, org.apache.storm.thrift.async.AsyncMethodCallback<TopologySummary> resultHandler)`
  `void`
  `getTopologySummaryByName(String name, org.apache.storm.thrift.async.AsyncMethodCallback<TopologySummary> resultHandler)`
  `void`
  `getUserTopology(String id, org.apache.storm.thrift.async.AsyncMethodCallback<StormTopology> resultHandler)`
  `void`
  `isRemoteBlobExists(String blobKey, org.apache.storm.thrift.async.AsyncMethodCallback<Boolean> resultHandler)`
  `void`
  `isTopologyNameAllowed(String name, org.apache.storm.thrift.async.AsyncMethodCallback<Boolean> resultHandler)`
  `void`
  `killTopology(String name, org.apache.storm.thrift.async.AsyncMethodCallback<Void> resultHandler)`
  `void`
  `killTopologyWithOpts(String name, KillOptions options, org.apache.storm.thrift.async.AsyncMethodCallback<Void> resultHandler)`
  `void`
  `listBlobs(String session, org.apache.storm.thrift.async.AsyncMethodCallback<ListBlobsResult> resultHandler)`
  `void`
  `processWorkerMetrics(WorkerMetrics metrics, org.apache.storm.thrift.async.AsyncMethodCallback<Void> resultHandler)`
  `void`
  `rebalance(String name, RebalanceOptions options, org.apache.storm.thrift.async.AsyncMethodCallback<Void> resultHandler)`
  `void`
  `sendSupervisorWorkerHeartbeat(SupervisorWorkerHeartbeat heatbeat, org.apache.storm.thrift.async.AsyncMethodCallback<Void> resultHandler)`
  `void`
  `sendSupervisorWorkerHeartbeats(SupervisorWorkerHeartbeats heartbeats, org.apache.storm.thrift.async.AsyncMethodCallback<Void> resultHandler)`
  `void`
  `setBlobMeta(String key, SettableBlobMeta meta, org.apache.storm.thrift.async.AsyncMethodCallback<Void> resultHandler)`
  `void`
  `setLogConfig(String name, LogConfig config, org.apache.storm.thrift.async.AsyncMethodCallback<Void> resultHandler)`
  `void`
  `setWorkerProfiler(String id, ProfileRequest profileRequest, org.apache.storm.thrift.async.AsyncMethodCallback<Void> resultHandler)`
  `void`
  `submitTopology(String name, String uploadedJarLocation, String jsonConf, StormTopology topology, org.apache.storm.thrift.async.AsyncMethodCallback<Void> resultHandler)`
  `void`
  `submitTopologyWithOpts(String name, String uploadedJarLocation, String jsonConf, StormTopology topology, SubmitOptions options, org.apache.storm.thrift.async.AsyncMethodCallback<Void> resultHandler)`
  `void`
  `updateBlobReplication(String key, int replication, org.apache.storm.thrift.async.AsyncMethodCallback<Integer> resultHandler)`
  `void`
  `uploadBlobChunk(String session, ByteBuffer chunk, org.apache.storm.thrift.async.AsyncMethodCallback<Void> resultHandler)`
  `void`
  `uploadChunk(String location, ByteBuffer chunk, org.apache.storm.thrift.async.AsyncMethodCallback<Void> resultHandler)`
  `void`
  `uploadNewCredentials(String name, Credentials creds, org.apache.storm.thrift.async.AsyncMethodCallback<Void> resultHandler)`

  ### Methods inherited from class org.apache.storm.thrift.async.TAsyncClient

  `checkReady, getError, getProtocolFactory, getTimeout, hasError, hasTimeout, onComplete, onError, setTimeout`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AsyncClient

    public AsyncClient(org.apache.storm.thrift.protocol.TProtocolFactory protocolFactory, org.apache.storm.thrift.async.TAsyncClientManager clientManager, org.apache.storm.thrift.transport.TNonblockingTransport transport)

- ## Method Details

  - ### submitTopology

    public void submitTopology(String name, String uploadedJarLocation, String jsonConf, StormTopology topology, org.apache.storm.thrift.async.AsyncMethodCallback<Void> resultHandler) throws org.apache.storm.thrift.TException
    Specified by:
      `submitTopology` in interface `Nimbus.AsyncIface`
    Throws:
      `org.apache.storm.thrift.TException`

  - ### submitTopologyWithOpts

    public void submitTopologyWithOpts(String name, String uploadedJarLocation, String jsonConf, StormTopology topology, SubmitOptions options, org.apache.storm.thrift.async.AsyncMethodCallback<Void> resultHandler) throws org.apache.storm.thrift.TException
    Specified by:
      `submitTopologyWithOpts` in interface `Nimbus.AsyncIface`
    Throws:
      `org.apache.storm.thrift.TException`

  - ### killTopology

    public void killTopology(String name, org.apache.storm.thrift.async.AsyncMethodCallback<Void> resultHandler) throws org.apache.storm.thrift.TException
    Specified by:
      `killTopology` in interface `Nimbus.AsyncIface`
    Throws:
      `org.apache.storm.thrift.TException`

  - ### killTopologyWithOpts

    public void killTopologyWithOpts(String name, KillOptions options, org.apache.storm.thrift.async.AsyncMethodCallback<Void> resultHandler) throws org.apache.storm.thrift.TException
    Specified by:
      `killTopologyWithOpts` in interface `Nimbus.AsyncIface`
    Throws:
      `org.apache.storm.thrift.TException`

  - ### activate

    public void activate(String name, org.apache.storm.thrift.async.AsyncMethodCallback<Void> resultHandler) throws org.apache.storm.thrift.TException
    Specified by:
      `activate` in interface `Nimbus.AsyncIface`
    Throws:
      `org.apache.storm.thrift.TException`

  - ### deactivate

    public void deactivate(String name, org.apache.storm.thrift.async.AsyncMethodCallback<Void> resultHandler) throws org.apache.storm.thrift.TException
    Specified by:
      `deactivate` in interface `Nimbus.AsyncIface`
    Throws:
      `org.apache.storm.thrift.TException`

  - ### rebalance

    public void rebalance(String name, RebalanceOptions options, org.apache.storm.thrift.async.AsyncMethodCallback<Void> resultHandler) throws org.apache.storm.thrift.TException
    Specified by:
      `rebalance` in interface `Nimbus.AsyncIface`
    Throws:
      `org.apache.storm.thrift.TException`

  - ### setLogConfig

    public void setLogConfig(String name, LogConfig config, org.apache.storm.thrift.async.AsyncMethodCallback<Void> resultHandler) throws org.apache.storm.thrift.TException
    Specified by:
      `setLogConfig` in interface `Nimbus.AsyncIface`
    Throws:
      `org.apache.storm.thrift.TException`

  - ### getLogConfig

    public void getLogConfig(String name, org.apache.storm.thrift.async.AsyncMethodCallback<LogConfig> resultHandler) throws org.apache.storm.thrift.TException
    Specified by:
      `getLogConfig` in interface `Nimbus.AsyncIface`
    Throws:
      `org.apache.storm.thrift.TException`

  - ### debug

    public void debug(String name, String component, boolean enable, double samplingPercentage, org.apache.storm.thrift.async.AsyncMethodCallback<Void> resultHandler) throws org.apache.storm.thrift.TException
    Specified by:
      `debug` in interface `Nimbus.AsyncIface`
    Throws:
      `org.apache.storm.thrift.TException`

  - ### setWorkerProfiler

    public void setWorkerProfiler(String id, ProfileRequest profileRequest, org.apache.storm.thrift.async.AsyncMethodCallback<Void> resultHandler) throws org.apache.storm.thrift.TException
    Specified by:
      `setWorkerProfiler` in interface `Nimbus.AsyncIface`
    Throws:
      `org.apache.storm.thrift.TException`

  - ### getComponentPendingProfileActions

    public void getComponentPendingProfileActions(String id, String component_id, ProfileAction action, org.apache.storm.thrift.async.AsyncMethodCallback<List<ProfileRequest>> resultHandler) throws org.apache.storm.thrift.TException
    Specified by:
      `getComponentPendingProfileActions` in interface `Nimbus.AsyncIface`
    Throws:
      `org.apache.storm.thrift.TException`

  - ### uploadNewCredentials

    public void uploadNewCredentials(String name, Credentials creds, org.apache.storm.thrift.async.AsyncMethodCallback<Void> resultHandler) throws org.apache.storm.thrift.TException
    Specified by:
      `uploadNewCredentials` in interface `Nimbus.AsyncIface`
    Throws:
      `org.apache.storm.thrift.TException`

  - ### beginCreateBlob

    public void beginCreateBlob(String key, SettableBlobMeta meta, org.apache.storm.thrift.async.AsyncMethodCallback<String> resultHandler) throws org.apache.storm.thrift.TException
    Specified by:
      `beginCreateBlob` in interface `Nimbus.AsyncIface`
    Throws:
      `org.apache.storm.thrift.TException`

  - ### beginUpdateBlob

    public void beginUpdateBlob(String key, org.apache.storm.thrift.async.AsyncMethodCallback<String> resultHandler) throws org.apache.storm.thrift.TException
    Specified by:
      `beginUpdateBlob` in interface `Nimbus.AsyncIface`
    Throws:
      `org.apache.storm.thrift.TException`

  - ### uploadBlobChunk

    public void uploadBlobChunk(String session, ByteBuffer chunk, org.apache.storm.thrift.async.AsyncMethodCallback<Void> resultHandler) throws org.apache.storm.thrift.TException
    Specified by:
      `uploadBlobChunk` in interface `Nimbus.AsyncIface`
    Throws:
      `org.apache.storm.thrift.TException`

  - ### finishBlobUpload

    public void finishBlobUpload(String session, org.apache.storm.thrift.async.AsyncMethodCallback<Void> resultHandler) throws org.apache.storm.thrift.TException
    Specified by:
      `finishBlobUpload` in interface `Nimbus.AsyncIface`
    Throws:
      `org.apache.storm.thrift.TException`

  - ### cancelBlobUpload

    public void cancelBlobUpload(String session, org.apache.storm.thrift.async.AsyncMethodCallback<Void> resultHandler) throws org.apache.storm.thrift.TException
    Specified by:
      `cancelBlobUpload` in interface `Nimbus.AsyncIface`
    Throws:
      `org.apache.storm.thrift.TException`

  - ### getBlobMeta

    public void getBlobMeta(String key, org.apache.storm.thrift.async.AsyncMethodCallback<ReadableBlobMeta> resultHandler) throws org.apache.storm.thrift.TException
    Specified by:
      `getBlobMeta` in interface `Nimbus.AsyncIface`
    Throws:
      `org.apache.storm.thrift.TException`

  - ### setBlobMeta

    public void setBlobMeta(String key, SettableBlobMeta meta, org.apache.storm.thrift.async.AsyncMethodCallback<Void> resultHandler) throws org.apache.storm.thrift.TException
    Specified by:
      `setBlobMeta` in interface `Nimbus.AsyncIface`
    Throws:
      `org.apache.storm.thrift.TException`

  - ### beginBlobDownload

    public void beginBlobDownload(String key, org.apache.storm.thrift.async.AsyncMethodCallback<BeginDownloadResult> resultHandler) throws org.apache.storm.thrift.TException
    Specified by:
      `beginBlobDownload` in interface `Nimbus.AsyncIface`
    Throws:
      `org.apache.storm.thrift.TException`

  - ### downloadBlobChunk

    public void downloadBlobChunk(String session, org.apache.storm.thrift.async.AsyncMethodCallback<ByteBuffer> resultHandler) throws org.apache.storm.thrift.TException
    Specified by:
      `downloadBlobChunk` in interface `Nimbus.AsyncIface`
    Throws:
      `org.apache.storm.thrift.TException`

  - ### deleteBlob

    public void deleteBlob(String key, org.apache.storm.thrift.async.AsyncMethodCallback<Void> resultHandler) throws org.apache.storm.thrift.TException
    Specified by:
      `deleteBlob` in interface `Nimbus.AsyncIface`
    Throws:
      `org.apache.storm.thrift.TException`

  - ### listBlobs

    public void listBlobs(String session, org.apache.storm.thrift.async.AsyncMethodCallback<ListBlobsResult> resultHandler) throws org.apache.storm.thrift.TException
    Specified by:
      `listBlobs` in interface `Nimbus.AsyncIface`
    Throws:
      `org.apache.storm.thrift.TException`

  - ### getBlobReplication

    public void getBlobReplication(String key, org.apache.storm.thrift.async.AsyncMethodCallback<Integer> resultHandler) throws org.apache.storm.thrift.TException
    Specified by:
      `getBlobReplication` in interface `Nimbus.AsyncIface`
    Throws:
      `org.apache.storm.thrift.TException`

  - ### updateBlobReplication

    public void updateBlobReplication(String key, int replication, org.apache.storm.thrift.async.AsyncMethodCallback<Integer> resultHandler) throws org.apache.storm.thrift.TException
    Specified by:
      `updateBlobReplication` in interface `Nimbus.AsyncIface`
    Throws:
      `org.apache.storm.thrift.TException`

  - ### createStateInZookeeper

    public void createStateInZookeeper(String key, org.apache.storm.thrift.async.AsyncMethodCallback<Void> resultHandler) throws org.apache.storm.thrift.TException
    Specified by:
      `createStateInZookeeper` in interface `Nimbus.AsyncIface`
    Throws:
      `org.apache.storm.thrift.TException`

  - ### beginFileUpload

    public void beginFileUpload(org.apache.storm.thrift.async.AsyncMethodCallback<String> resultHandler) throws org.apache.storm.thrift.TException
    Specified by:
      `beginFileUpload` in interface `Nimbus.AsyncIface`
    Throws:
      `org.apache.storm.thrift.TException`

  - ### uploadChunk

    public void uploadChunk(String location, ByteBuffer chunk, org.apache.storm.thrift.async.AsyncMethodCallback<Void> resultHandler) throws org.apache.storm.thrift.TException
    Specified by:
      `uploadChunk` in interface `Nimbus.AsyncIface`
    Throws:
      `org.apache.storm.thrift.TException`

  - ### finishFileUpload

    public void finishFileUpload(String location, org.apache.storm.thrift.async.AsyncMethodCallback<Void> resultHandler) throws org.apache.storm.thrift.TException
    Specified by:
      `finishFileUpload` in interface `Nimbus.AsyncIface`
    Throws:
      `org.apache.storm.thrift.TException`

  - ### downloadChunk

    public void downloadChunk(String id, org.apache.storm.thrift.async.AsyncMethodCallback<ByteBuffer> resultHandler) throws org.apache.storm.thrift.TException
    Specified by:
      `downloadChunk` in interface `Nimbus.AsyncIface`
    Throws:
      `org.apache.storm.thrift.TException`

  - ### getNimbusConf

    public void getNimbusConf(org.apache.storm.thrift.async.AsyncMethodCallback<String> resultHandler) throws org.apache.storm.thrift.TException
    Specified by:
      `getNimbusConf` in interface `Nimbus.AsyncIface`
    Throws:
      `org.apache.storm.thrift.TException`

  - ### getClusterInfo

    public void getClusterInfo(org.apache.storm.thrift.async.AsyncMethodCallback<ClusterSummary> resultHandler) throws org.apache.storm.thrift.TException
    Specified by:
      `getClusterInfo` in interface `Nimbus.AsyncIface`
    Throws:
      `org.apache.storm.thrift.TException`

  - ### getTopologySummaries

    public void getTopologySummaries(org.apache.storm.thrift.async.AsyncMethodCallback<List<TopologySummary>> resultHandler) throws org.apache.storm.thrift.TException
    Specified by:
      `getTopologySummaries` in interface `Nimbus.AsyncIface`
    Throws:
      `org.apache.storm.thrift.TException`

  - ### getTopologySummaryByName

    public void getTopologySummaryByName(String name, org.apache.storm.thrift.async.AsyncMethodCallback<TopologySummary> resultHandler) throws org.apache.storm.thrift.TException
    Specified by:
      `getTopologySummaryByName` in interface `Nimbus.AsyncIface`
    Throws:
      `org.apache.storm.thrift.TException`

  - ### getTopologySummary

    public void getTopologySummary(String id, org.apache.storm.thrift.async.AsyncMethodCallback<TopologySummary> resultHandler) throws org.apache.storm.thrift.TException
    Specified by:
      `getTopologySummary` in interface `Nimbus.AsyncIface`
    Throws:
      `org.apache.storm.thrift.TException`

  - ### getLeader

    public void getLeader(org.apache.storm.thrift.async.AsyncMethodCallback<NimbusSummary> resultHandler) throws org.apache.storm.thrift.TException
    Specified by:
      `getLeader` in interface `Nimbus.AsyncIface`
    Throws:
      `org.apache.storm.thrift.TException`

  - ### isTopologyNameAllowed

    public void isTopologyNameAllowed(String name, org.apache.storm.thrift.async.AsyncMethodCallback<Boolean> resultHandler) throws org.apache.storm.thrift.TException
    Specified by:
      `isTopologyNameAllowed` in interface `Nimbus.AsyncIface`
    Throws:
      `org.apache.storm.thrift.TException`

  - ### getTopologyInfoByName

    public void getTopologyInfoByName(String name, org.apache.storm.thrift.async.AsyncMethodCallback<TopologyInfo> resultHandler) throws org.apache.storm.thrift.TException
    Specified by:
      `getTopologyInfoByName` in interface `Nimbus.AsyncIface`
    Throws:
      `org.apache.storm.thrift.TException`

  - ### getTopologyInfo

    public void getTopologyInfo(String id, org.apache.storm.thrift.async.AsyncMethodCallback<TopologyInfo> resultHandler) throws org.apache.storm.thrift.TException
    Specified by:
      `getTopologyInfo` in interface `Nimbus.AsyncIface`
    Throws:
      `org.apache.storm.thrift.TException`

  - ### getTopologyInfoByNameWithOpts

    public void getTopologyInfoByNameWithOpts(String name, GetInfoOptions options, org.apache.storm.thrift.async.AsyncMethodCallback<TopologyInfo> resultHandler) throws org.apache.storm.thrift.TException
    Specified by:
      `getTopologyInfoByNameWithOpts` in interface `Nimbus.AsyncIface`
    Throws:
      `org.apache.storm.thrift.TException`

  - ### getTopologyInfoWithOpts

    public void getTopologyInfoWithOpts(String id, GetInfoOptions options, org.apache.storm.thrift.async.AsyncMethodCallback<TopologyInfo> resultHandler) throws org.apache.storm.thrift.TException
    Specified by:
      `getTopologyInfoWithOpts` in interface `Nimbus.AsyncIface`
    Throws:
      `org.apache.storm.thrift.TException`

  - ### getTopologyPageInfo

    public void getTopologyPageInfo(String id, String window, boolean is_include_sys, org.apache.storm.thrift.async.AsyncMethodCallback<TopologyPageInfo> resultHandler) throws org.apache.storm.thrift.TException
    Specified by:
      `getTopologyPageInfo` in interface `Nimbus.AsyncIface`
    Throws:
      `org.apache.storm.thrift.TException`

  - ### getSupervisorPageInfo

    public void getSupervisorPageInfo(String id, String host, boolean is_include_sys, org.apache.storm.thrift.async.AsyncMethodCallback<SupervisorPageInfo> resultHandler) throws org.apache.storm.thrift.TException
    Specified by:
      `getSupervisorPageInfo` in interface `Nimbus.AsyncIface`
    Throws:
      `org.apache.storm.thrift.TException`

  - ### getComponentPageInfo

    public void getComponentPageInfo(String topology_id, String component_id, String window, boolean is_include_sys, org.apache.storm.thrift.async.AsyncMethodCallback<ComponentPageInfo> resultHandler) throws org.apache.storm.thrift.TException
    Specified by:
      `getComponentPageInfo` in interface `Nimbus.AsyncIface`
    Throws:
      `org.apache.storm.thrift.TException`

  - ### getTopologyConf

    public void getTopologyConf(String id, org.apache.storm.thrift.async.AsyncMethodCallback<String> resultHandler) throws org.apache.storm.thrift.TException
    Specified by:
      `getTopologyConf` in interface `Nimbus.AsyncIface`
    Throws:
      `org.apache.storm.thrift.TException`

  - ### getTopology

    public void getTopology(String id, org.apache.storm.thrift.async.AsyncMethodCallback<StormTopology> resultHandler) throws org.apache.storm.thrift.TException
    Specified by:
      `getTopology` in interface `Nimbus.AsyncIface`
    Throws:
      `org.apache.storm.thrift.TException`

  - ### getUserTopology

    public void getUserTopology(String id, org.apache.storm.thrift.async.AsyncMethodCallback<StormTopology> resultHandler) throws org.apache.storm.thrift.TException
    Specified by:
      `getUserTopology` in interface `Nimbus.AsyncIface`
    Throws:
      `org.apache.storm.thrift.TException`

  - ### getTopologyHistory

    public void getTopologyHistory(String user, org.apache.storm.thrift.async.AsyncMethodCallback<TopologyHistoryInfo> resultHandler) throws org.apache.storm.thrift.TException
    Specified by:
      `getTopologyHistory` in interface `Nimbus.AsyncIface`
    Throws:
      `org.apache.storm.thrift.TException`

  - ### getOwnerResourceSummaries

    public void getOwnerResourceSummaries(String owner, org.apache.storm.thrift.async.AsyncMethodCallback<List<OwnerResourceSummary>> resultHandler) throws org.apache.storm.thrift.TException
    Specified by:
      `getOwnerResourceSummaries` in interface `Nimbus.AsyncIface`
    Throws:
      `org.apache.storm.thrift.TException`

  - ### getSupervisorAssignments

    public void getSupervisorAssignments(String node, org.apache.storm.thrift.async.AsyncMethodCallback<SupervisorAssignments> resultHandler) throws org.apache.storm.thrift.TException
    Specified by:
      `getSupervisorAssignments` in interface `Nimbus.AsyncIface`
    Throws:
      `org.apache.storm.thrift.TException`

  - ### sendSupervisorWorkerHeartbeats

    public void sendSupervisorWorkerHeartbeats(SupervisorWorkerHeartbeats heartbeats, org.apache.storm.thrift.async.AsyncMethodCallback<Void> resultHandler) throws org.apache.storm.thrift.TException
    Specified by:
      `sendSupervisorWorkerHeartbeats` in interface `Nimbus.AsyncIface`
    Throws:
      `org.apache.storm.thrift.TException`

  - ### sendSupervisorWorkerHeartbeat

    public void sendSupervisorWorkerHeartbeat(SupervisorWorkerHeartbeat heatbeat, org.apache.storm.thrift.async.AsyncMethodCallback<Void> resultHandler) throws org.apache.storm.thrift.TException
    Specified by:
      `sendSupervisorWorkerHeartbeat` in interface `Nimbus.AsyncIface`
    Throws:
      `org.apache.storm.thrift.TException`

  - ### processWorkerMetrics

    public void processWorkerMetrics(WorkerMetrics metrics, org.apache.storm.thrift.async.AsyncMethodCallback<Void> resultHandler) throws org.apache.storm.thrift.TException
    Specified by:
      `processWorkerMetrics` in interface `Nimbus.AsyncIface`
    Throws:
      `org.apache.storm.thrift.TException`

  - ### isRemoteBlobExists

    public void isRemoteBlobExists(String blobKey, org.apache.storm.thrift.async.AsyncMethodCallback<Boolean> resultHandler) throws org.apache.storm.thrift.TException
    Specified by:
      `isRemoteBlobExists` in interface `Nimbus.AsyncIface`
    Throws:
      `org.apache.storm.thrift.TException`